﻿'use strict';

var context;
var web;

$(function () {
    $('#Button1').click(showAppWebTitle);
    $('#Button2').click(showHostWebTitle);
});

function showAppWebTitle() {
    context = SP.ClientContext.get_current();
    web = context.get_web();
    context.load(web);
    //context.load(web,"Title","Description");
    context.executeQueryAsync(showTitle, onError);
}

function showHostWebTitle() {
    var hostUrl = getQueryStringValue("SPHostUrl");
    context = SP.ClientContext.get_current();
    var appContextSite = new SP.AppContextSite(context, hostUrl);
    web = appContextSite.get_web();

    context.load(web);
    context.executeQueryAsync(showTitle, onError);
}

function showTitle() {
    alert(web.get_title());
}

function onError(a,b) {
    alert('Ooops');
}

function getQueryStringValue(paramName) {
    var params = document.URLUnencoded.split("?")[1].split("&");
    var strParams = "";
    for (var i = 0; i < params.length; i = i + 1) {
        var singleParam = params[i].split("=");
        if (singleParam[0] == paramName)
            return decodeURIComponent(singleParam[1]);
    }
}

